Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gain a shell remotely >> Squid overflows


Vulnerability Assessment Details

Squid overflows

Vulnerability Assessment Summary
Acertains squid version

Detailed Explanation for this Vulnerability Assessment

The remote squid caching proxy, according to its version number,
is vulnerable to various buffer overflows.


A possible hacker may use these to gain a shell on this system.


Solution : upgrade to squid 2.4.STABLE7 or newer
Network Security Threat Level: High

Networks Security ID: 4148

Vulnerability Assessment Copyright: This script is Copyright (C) 2002 Renaud Deraison

Cables, Connectors

Meraki mx100 firewall
$850.0
Meraki mx100 firewall pictureBroadband firewall router New (old)
$25.0
Broadband firewall router  New  (old) pictureNetgear ProSafe Wireless VPN Firewall 8 w/ 8-Port 10/100 Mbps Switch ~ FVG318
$4.99
Netgear ProSafe Wireless VPN Firewall 8 w/ 8-Port 10/100 Mbps Switch ~ FVG318 pictureFortinet Pakedge FG-60C R6S VPN Firewall Device Working with Power Adapter
$99.99
Fortinet Pakedge FG-60C R6S VPN Firewall Device Working with Power Adapter picture


Discussions

No Discussions have been posted on this vulnerability.